## cricket 0.70

=== Makefile ===
# the current Cricket version number
VER=0.70

# we use Perforce to control this stuff internally.
P4=p4

DISTDIR=../cricket-$(VER)
DISTTAR=../cricket-$(VER).tar
DISTTARGZ=../cricket-$(VER).tar.gz

# for safety, do nothing if no argument is given to make...
all:
	@echo "You need to use \"make dist\" to make a distribution."

ver:	Makefile
	@echo "Updating VERSION file"
	@$(P4) edit VERSION lib/Common/Version.pm
	@echo "Cricket version $(VER) (" `date` ")" > VERSION
	@echo '$$Common::global::gVersion = "Cricket version $(VER) (' `date` ')";' \
		> lib/Common/Version.pm
	@echo '1;' >> lib/Common/Version.pm

dist: ver
	@echo "Packaging Cricket $(VER) for distribution"
	@( 	rm -f $(DISTTARGZ)	;\
		mkdir $(DISTDIR)	;\
		tar cf - `p4 files ... | grep -v ' delete ' | \
			sed -e 's/\/\/depot\/operations\/nsgtools\/cricket\///;' | \
			sed -e 's/#.*//'` | (cd $(DISTDIR); tar xf -)	;\
		find $(DISTDIR) -exec chmod +w {} \;	;\
		rm -rf $(DISTDIR)/lib/lib 	;\
		rm -rf $(DISTDIR)/lib/sun4-solaris	;\
		rm -f $(DISTDIR)/lib/RRD.pm	;\
		rm -f $(DISTDIR)/lib/ntmake.pl	;\
		( cd .. ; tar cf cricket-$(VER).tar cricket-$(VER) )	;\
		gzip -9 $(DISTTAR)	;\
		rm -rf $(DISTDIR)	;\
	)

scp:
	-scp $(DISTTARGZ) www.munitions.com:.public_html/cricket

## cricket 1.0.5

=== debian/changelog ===
cricket (1.0.5-22) unstable; urgency=medium

  * QA upload.
  * Replace id/sg usage in postrm with getent (as already used in postinst)
    Closes: #904049
    - please note that removing users/groups (as done both in postinst
      and postrm) is discuraged! (See mailing list thread linked from
      #228692 for discusson.)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Jul 2018 23:21:38 +0200

cricket (1.0.5-21) unstable; urgency=medium

  * QA upload.
  * Don't force bzip2 compression.
  * Add build-arch/build-indep targets.
  * Drop manual quilt handling.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 06 Jul 2016 04:51:05 +0200

cricket (1.0.5-20) unstable; urgency=low

  * Package unmaintained by uptream since years. Orphaned.
  * debian/control set Maintainer field to Debian QA Group address email.

 -- Christian Marillat <marillat@debian.org>  Sun, 23 Jun 2013 09:31:27 +0200

cricket (1.0.5-19) unstable; urgency=low

  * Another not an useradd option (--group)

 -- Christian Marillat <marillat@debian.org>  Tue, 31 Jan 2012 16:11:01 +0100

cricket (1.0.5-18) unstable; urgency=low

  * --disabled-password isn't an useradd option (Closes: #657686)

 -- Christian Marillat <marillat@debian.org>  Sun, 29 Jan 2012 08:59:59 +0100

cricket (1.0.5-17) unstable; urgency=low

  * Remove --quiet option in previous change (Closes: #657686).

 -- Christian Marillat <marillat@debian.org>  Sat, 28 Jan 2012 01:36:12 +0100

cricket (1.0.5-16) unstable; urgency=low

  * Call userdel/useradd and groupdel/groupadd in postrm and postinst scripts
    (Closes: #619003).

 -- Christian Marillat <marillat@debian.org>  Thu, 26 Jan 2012 18:58:25 +0100

cricket (1.0.5-15) unstable; urgency=low

  * Define a white color for background in Defaults configuration file
    (Closes: #648982).

 -- Christian Marillat <marillat@debian.org>  Wed, 07 Dec 2011 11:49:02 +0100

cricket (1.0.5-14) unstable; urgency=low

  * Update 07_Format.pm.x86_64 patch (Closes: #635574)

 -- Christian Marillat <marillat@debian.org>  Wed, 03 Aug 2011 14:26:26 +0200

cricket (1.0.5-13) unstable; urgency=low

  * Added two wrappers in C to launch grapher.cgi and mini-graph.cgi with
    the rigth permissions as perl-suid will be deprecated. Architecture is
    now any.

 -- Christian Marillat <marillat@debian.org>  Sat, 22 May 2010 18:24:44 +0200

cricket (1.0.5-12) unstable; urgency=low

  * touch /etc/cricket/config/Defaults in the postinst this seems to fix
    this bug. Thanks to Arnaud de Bossoreille de Ribou (Closes: #171410).
  * Remove perl-suid dependency (Closes: #581949).
  * Document in manpage that cricket-compile don't need command line options
    (Closes: #176957).

 -- Christian Marillat <marillat@debian.org>  Wed, 19 May 2010 12:18:41 +0200

cricket (1.0.5-11) unstable; urgency=low

  * Thanks Mats Erik Andersson for the following fix :
    o Resolve the 'dir-or-file-in-var-www' RC-bug. (Closes: #553531)
      + Remove linking of '/var/www/cricket/images' to
        '/usr/share/cricket/images'.
      + Insert the correct path '/usr/share/cricket/images/failed.png' into
        'mini-graph.cgi' and 'grapher.cgi'. The old link would have fetched
        the image from this location anyway.

 -- Christian Marillat <marillat@debian.org>  Tue, 12 Jan 2010 03:35:52 +0100

cricket (1.0.5-10) unstable; urgency=low

  * In /usr/share/cricket/util/getFormat.c add ; at the end of line (More
    easy for copy/paste) (Closes: #428532).
  * Fix wrong value for liveHead (Closes: #520280)
  * Removed unused dpatch header in quilt diff (Closes: #527214).

 -- Christian Marillat <marillat@debian.org>  Wed, 06 May 2009 09:52:59 +0200

cricket (1.0.5-9) unstable; urgency=low

  * This time check if groupdel exist before removing the cricket user (Closes: #416737).
  * Added hourly (10 hours) graph support from CVS.
  * Added patch from CVS to cut trailing space correctly (Closes: #408943).
  * Finally, I've found the bug for empty value in Cur: (Closes: #427086).

 -- Christian Marillat <marillat@debian.org>  Wed, 06 Jun 2007 19:34:26 +0200

cricket (1.0.5-8) unstable; urgency=low

  * Added patch from Ubuntu to enable amd64 support (Closes: #418874)

 -- Christian Marillat <marillat@debian.org>  Tue, 22 May 2007 08:52:51 +0200

cricket (1.0.5-7) unstable; urgency=low

  * Check if deluser exist before removing the cricket user (Closes: #416737).
  * New patch 06_Format.pm to display current values on alpha (Closes: #416834).

 -- Christian Marillat <marillat@debian.org>  Mon, 09 Apr 2007 10:37:30 +0200

cricket (1.0.5-6) unstable; urgency=low

  * Remove debconf note which is 5 years old (Closes: #387342, #388880)

 -- Christian Marillat <marillat@debian.org>  Fri, 20 Oct 2006 17:31:46 +0200

cricket (1.0.5-5) unstable; urgency=low

  * Add debconf Portuguese translation (Closes: #378889)
  * Add debconf Czech translation (Closes: #382229)
  * Convert all others po files to UTF-8.

 -- Christian Marillat <marillat@debian.org>  Wed, 16 Aug 2006 11:09:27 +0200

cricket (1.0.5-4) unstable; urgency=low

  * New maintainer (Closes: #365634)
  * Use dpatch.
  * New patch 02_grapher.cgi to escape : in date (Closes: #335473)
  * New patch 03_File.pm to work with latest rrd version.
  * Fix path in /etc/cron.d/cricket (Closes: #309513)
  * Add a '| debconf-2.0' dependency to debconf (Closes: #331785)
  * Don't move neta-paper directory (Closes: #196351)
  * Fix mailx path (Closes: #196359)
  * Remove duplicate line in begginer.html (Closes: #280739)
  * Remove uneeded run-subtree.old file (Closes: #253652)
  * Don't need to Pre-Depend on adduser only depends (Closes: #255783)
  * Add gettext-based debconf templates (Closes: #205814)
  * Add French translation of gettext debconf templates (Closes: #207119)
  * Fix wrong OID in examples/systemperf/Defaults (Closes: #279837)
  * New patch to add support for blazer webbrowser (Closes: #192491)

 -- Christian Marillat <marillat@debian.org>  Thu,  4 May 2006 14:53:54 +0200



=== debian/control ===
Source: cricket
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)

Package: cricket
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, libtimedate-perl, libsnmp-session-perl, librrds-perl (>= 1.0.10), libdigest-md5-perl, cron
Recommends: logrotate, apache2 | httpd
Suggests: libwww-perl, libtime-hires-perl, libsnmp-perl
Description: Program for collection and display of time-series data
 This is Cricket. It is a configuration, polling, and data-display engine
 wrapped around the RRD tool by Tobias Oetiker. There are three user-visible
 pieces to Cricket: the collector, the grapher, and the config tree. The
 collector runs from cron and fetches data from a number of devices
 according to the info it finds in the config tree. The grapher is a CGI
 application that allows users to traverse the config tree from a web
 browser and see the data that the collector recorded.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

tmp:=`pwd`/debian/cricket

build-arch: build
build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs var/lib/cricket var/log/cricket etc/logrotate.d \
	var/cache/cricket usr/share/doc/cricket usr/share/man/man1 usr/bin \
	etc/apache2/conf.d

	dh_install

# Apache config file.
	cp debian/apache debian/cricket/etc/apache2/conf.d/cricket

# Command-line programs
	install -c -m 755 compile $(tmp)/usr/bin/cricket-compile

# Symlinks
	ln -s ../../lib/cgi-bin/cricket/grapher.cgi $(tmp)/usr/share/cricket/grapher.cgi
	ln -s ../../lib/cgi-bin/cricket/mini-graph.cgi $(tmp)/usr/share/cricket/mini-graph.cgi

# Documentation
	cp -R doc $(tmp)/usr/share/doc/cricket/html
	ln -s html $(tmp)/usr/share/doc/cricket/doc
	ln -s examples $(tmp)/usr/share/doc/cricket/sample-config

# logrotate configuration
	install -c -m 644 debian/logrotate $(tmp)/etc/logrotate.d/cricket

# Manpage symlink
	ln -s cricket.1.gz $(tmp)/usr/share/man/man1/cricket-compile.1.gz

# Fix permissions
	chmod -x $(tmp)/usr/share/cricket/*/*.pm $(tmp)/usr/share/cricket/util/LeanODBC/*
	chmod +x $(tmp)/usr/share/cricket/util/perfInfo.pl $(tmp)/usr/share/cricket/util/LeanODBC/test.pl

# Remove uneeded file
	rm debian/cricket/usr/share/cricket/util/run-subtree.old

# Build and install the wrapper
	gcc -o debian/grapher.cgi debian/wrapper.c
	gcc -o debian/mini-graph.cgi debian/wrapper-mini.c
	chmod 755 debian/grapher.cgi
	chmod 755 debian/mini-graph.cgi
	mv $(tmp)/usr/lib/cgi-bin/cricket/grapher.cgi $(tmp)/usr/lib/cgi-bin/cricket/grapher-real.cgi
	mv $(tmp)/usr/lib/cgi-bin/cricket/mini-graph.cgi $(tmp)/usr/lib/cgi-bin/cricket/mini-graph-real.cgi
	mv debian/grapher.cgi $(tmp)/usr/lib/cgi-bin/cricket
	mv debian/mini-graph.cgi $(tmp)/usr/lib/cgi-bin/cricket

# Fix perl binary path
	find debian/cricket -type f -exec perl -i -pe 's,/usr/local/bin/perl,/usr/bin/perl,' {} \;

# Build architecture-independent files here.
binary-indep:
build-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README THANKS TODO debian/README.mod_perl
	dh_installexamples sample-config/*
	dh_installmenu
	dh_installcron
	dh_installman debian/cricket.1
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress -Xexamples/
	dh_fixperms
	dh_installdeb
	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary build-indep build-arch

=== debian/watch ===
version=3

opts="uversionmangle=s/\-pre1//" \
http://sf.net/cricket/cricket-(.*)\.tar\.gz
